Subject: RE: bug#16331: 24.3.50; `dired-internal-do-deletions': "Deleting..." message

From: Drew Adams <[email-masked]>
Date: Fri, 7 Feb 2014 19:18:17 -0800 (PST)

> > The message "Trashing..." (which is unclear, BTW) or "Deleting..."
> > appears while the user is being asked whether to delete/trash.
> >
> > So the message is wrong: Emacs is not (yet) deleting files.
> >
> > A better message would be something like "Preparing to delete..."
> >
> > A message such as "Deleting..." can give the impression that the
> > files are already being deleted.  If you have 50 marked files,
> > you don't want to see a message saying that they are being
> > deleted before you have had a chance to cancel deletion.
> 
> As far as I can tell from reading the code, it's not saying
> "Deleting..." before it's deleting the messages.  (Or trashing
> them.)

I see the message when the pending-deletion file list is popped
and you are asked for confirmation.  Emacs is not deleting
anything at that point.  It does not start deleting the files
until you confirm that you want to delete them.

Whether the message appears at all depends on the timing done
in `progress-reporter-do-update'.  That is the code that shows
the message.  You may or may not see the message at all,
depending on your context.